0

when i want to run gnome magnifier with command gnome-mag it says command not found!! but when i want to install it by apt-get install gnome-mag it says that "it is already installed"!!

Reading package lists... Done
Building dependency tree       
Reading state information... Done
gnome-mag is already the newest version.
gnome-mag set to manually installed.

what is the problem?

1

The name of the executable isn't gnome-mag, it's magnifier.

Consulting packages

It's a good habit to always consult a package's contents to see what's installed when you run into issues like this.

Searching through apt

You can use apt-file to search for a filename via apt.

$ apt-file search gnome-mag
gdm: /usr/share/gdm/autostart/LoginWindow/gnome-mag.desktop
gnome-mag: /usr/share/doc/gnome-mag/AUTHORS
gnome-mag: /usr/share/doc/gnome-mag/NEWS.gz
gnome-mag: /usr/share/doc/gnome-mag/README
gnome-mag: /usr/share/doc/gnome-mag/changelog.Debian.gz
gnome-mag: /usr/share/doc/gnome-mag/copyright
gnome-mag: /usr/share/gnome-mag/1_32/appstart.xpm
...

Search through already installed packages

You can use dpkg to search for a filename within all the packages already installed.

$ dpkg -L gnome-mag
/.
/usr
/usr/bin
/usr/bin/magnifier
/usr/share
/usr/share/gnome-mag
...

Your Answer

By clicking “Post Your Answer”, you agree to our terms of service, privacy policy and cookie policy

Not the answer you're looking for? Browse other questions tagged or ask your own question.